Summary:	Raptor RDF Parser Toolkit
Summary(pl.UTF-8):	Raptor - zestaw narzędzi do analizy RDF
Name:		libraptor
# the real name is raptor, but it conflicts with already existing raptor game
%define	rname	raptor
Version:	1.4.21
Release:	2
License:	LGPL v2.1+ or GPL v2+ or Apache v2.0+
Group:		Libraries
Source0:	http://download.librdf.org/source/%{rname}-%{version}.tar.gz
# Source0-md5:	992061488af7a9e2d933df6b694bb876
URL:		http://librdf.org/raptor/
BuildRequires:	autoconf >= 2.62
BuildRequires:	automake >= 1:1.7
# WWW library can be one of: curl(default),xml,libfetch,libwww,none
BuildRequires:	curl-devel
BuildRequires:	gtk-doc-automake >= 1.3
BuildRequires:	libtool
# XML library can be libxml or expat; grddl parser requires libxml2+libxslt anyway
BuildRequires:	libxml2-devel >= 2.6.8
BuildRequires:	libxslt-devel >= 1.0.18
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.98
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Raptor is the RDF Parser Toolkit for Redland written in C consisting
of two parsers for the RDF/XML and N-Triples syntaxes for RDF. Raptor
is designed to work efficiently when used with Redland but is entirely
separate.

%description -l pl.UTF-8
Raptor to zestaw narzędzi do analizy RDF dla Redland napisany w C,
składający się z dwóch analizatorów dla składni RDF/XML i N-Triplets
dla RDF. Raptor został zaprojektowany, by pracować wydajnie, jeśli
jest używany z Redland, ale jest całkowicie oddzielny.

%package devel
Summary:	libraptor library header files
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libraptor
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	curl-devel
Requires:	libxml2-devel >= 2.6.8
Requires:	libxslt-devel >= 1.0.18

%description devel
libraptor library header files.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki libraptor.

%package static
Summary:	Static libraptor library
Summary(pl.UTF-8):	Statyczna biblioteka libraptor
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static libraptor library.

%description static -l pl.UTF-8
Statyczna biblioteka libraptor.

%package apidocs
Summary:	libraptor API documentation
Summary(pl.UTF-8):	Dokumentacja API biblioteki libraptor
Group:		Documentation
Requires:	gtk-doc-common
Conflicts:	libraptor2-apidocs

%description apidocs
libraptor API documentation.

%description apidocs -l pl.UTF-8
Dokumentacja API biblioteki libraptor.

%package rapper
Summary:	Raptor RDF parser test program
Summary(pl.UTF-8):	Testowy program parsera Raptor RDF
Group:		Applications
Requires:	%{name} = %{version}-%{release}
Obsoletes:	redland-rapper
Conflicts:	libraptor2-rapper

%description rapper
Raptor RDF parser test program.

%description rapper -l pl.UTF-8
Testowy program parsera Raptor RDF.

%prep
%setup -q -n %{rname}-%{version}

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
# avoid -s in LDFLAGS, `raptor-config --libs` would print it
# (note: don't pass empty LDFLAGS - it would be overridden)
LDFLAGS="`echo %{rpmldflags} | sed -e 's/\(^\| \)-s\>/ /'`"
# avoid using parsedate from libinn, use curl_getdate instead
%configure \
	ac_cv_header_libinn_h=no \
	--enable-release \
	--with-html-dir=%{_gtkdocdir}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog LICENSE.txt NEWS README
%attr(755,root,root) %{_libdir}/libraptor.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libraptor.so.1

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/raptor-config
%attr(755,root,root) %{_libdir}/libraptor.so
%{_libdir}/libraptor.la
%{_includedir}/raptor.h
%{_pkgconfigdir}/raptor.pc
%{_mandir}/man1/raptor-config.1*
%{_mandir}/man3/libraptor.3*

%files static
%defattr(644,root,root,755)
%{_libdir}/libraptor.a

%files apidocs
%defattr(644,root,root,755)
%{_gtkdocdir}/raptor

%files rapper
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/rapper
%{_mandir}/man1/rapper.1*
%changelog
* Sat Jul 20 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libraptor.git;a=log;h=master

* Thu Jun 20 2013 Marcin Krol <hawk@tld-linux.org> 903fc9c
- release 2 (by relup.sh)

* Mon Jan 24 2011 Jakub Bogusz <qboosh@pld-linux.org> 3b3f882
- separated apidocs

* Fri Nov 19 2010 Jakub Bogusz <qboosh@pld-linux.org> df6bd41
- updated BR versions

* Wed May 05 2010 shadzik <shadzik@pld-linux.org> 9aec5f4
- 1.4.21

* Mon Nov 30 2009 sparky <sparky@pld-linux.org> 0a7556d
- BR: gtk-doc-automake, libtool

* Sun Jul 19 2009 aredridel <aredridel@pld-linux.org> 7908153
- 1.4.19

* Mon Jul 06 2009 Jan Rękorajski <baggins@pld-linux.org> 9400352
- rel 2

* Mon Aug 25 2008 Jakub Bogusz <qboosh@pld-linux.org> 557df38
- updated to 1.4.18

* Tue Jun 03 2008 Jakub Bogusz <qboosh@pld-linux.org> b23a131
- updated to 1.4.17

* Tue Feb 26 2008 Elan Ruusamäe <glen@pld-linux.org> 0d6ab88
- release 3

* Tue Feb 26 2008 Elan Ruusamäe <glen@pld-linux.org> f9e4a8f
- release 2

* Sun Nov 04 2007 Jakub Bogusz <qboosh@pld-linux.org> 6e84a66
- updated to 1.4.16

* Fri May 11 2007 Jakub Bogusz <qboosh@pld-linux.org> 83c9cba
- updated to 1.4.15

* Mon Apr 02 2007 Jan Rękorajski <baggins@pld-linux.org> 21d0e09
- rel 2

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> df1f41c
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> bd0b613
- converted to UTF-8

* Sat Feb 03 2007 Jakub Bogusz <qboosh@pld-linux.org> f4de4c5
- updated to 1.4.14

* Fri Oct 27 2006 Jakub Bogusz <qboosh@pld-linux.org> 65f928e
- updated to 1.4.13

* Mon Aug 28 2006 Jakub Bogusz <qboosh@pld-linux.org> abfb393
- updated to 1.4.12

* Thu Jul 20 2006 Jakub Bogusz <qboosh@pld-linux.org> 2d482c8
- updated to 1.4.10

